Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 245875 - Please stabilise sci-physics/root-5.20.00-r3
Summary: Please stabilise sci-physics/root-5.20.00-r3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Science Physics related packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 275205 275978 275997
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-11-06 18:36 UTC by Christian Faulhammer (RETIRED)
Modified: 2009-07-20 02:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-06 18:36:37 UTC
This is for GCC 4.3 stabilisation.  Please add arches as you see fit. Thanks.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-27 23:03:05 UTC
anyone? 
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-06 22:27:10 UTC
ppc is losing support for root because the deps don't compile. other arches..please proceed (no maintainer response)

Keywords: amd64 sparc x86
Comment 3 Markus Meier gentoo-dev 2009-02-08 17:35:58 UTC
@sci-physics team: this needs quite some depenencies to be marked stable, the direct deps are ['sci-physics/geant:4', '>=dev-lang/cfortran-4.4-r2', 'sci-physics/pythia:8', 'sci-physics/pythia:6']. could you please have a look at this and tell us which versions should be good to go.
Comment 4 Sébastien Fabbro (RETIRED) gentoo-dev 2009-02-18 11:57:57 UTC
(In reply to comment #3)
> @sci-physics team: this needs quite some depenencies to be marked stable, the
> direct deps are ['sci-physics/geant:4', '>=dev-lang/cfortran-4.4-r2',
> 'sci-physics/pythia:8', 'sci-physics/pythia:6']. could you please have a look
> at this and tell us which versions should be good to go.
> 

At least all of these would need stabilizing for root:

dev-lang/cfortran-4.4-r2
media-gfx/dawn-3.88a
sci-physics/hepmc-2.0.4.00
sci-physics/clhep-2.0.4.2
sci-physics/cernlib-2006-r2
sci-physics/paw-2.14.04-r2
sci-physics/geant-3.21.14-r2
sci-physics/geant-4.9.2-r1
sci-physics/pythia-6.4.19
sci-physics/pythia-8.1.08-r1
Comment 5 Ferris McCormick (RETIRED) gentoo-dev 2009-03-03 16:57:45 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > @sci-physics team: this needs quite some depenencies to be marked stable, the
> > direct deps are ['sci-physics/geant:4', '>=dev-lang/cfortran-4.4-r2',
> > 'sci-physics/pythia:8', 'sci-physics/pythia:6']. could you please have a look
> > at this and tell us which versions should be good to go.
> > 
> 
> At least all of these would need stabilizing for root:
> 
> dev-lang/cfortran-4.4-r2
> media-gfx/dawn-3.88a
> sci-physics/hepmc-2.0.4.00
> sci-physics/clhep-2.0.4.2
> sci-physics/cernlib-2006-r2
> sci-physics/paw-2.14.04-r2
> sci-physics/geant-3.21.14-r2
> sci-physics/geant-4.9.2-r1
> sci-physics/pythia-6.4.19
> sci-physics/pythia-8.1.08-r1
> 

There no longer is any geant-4.9.2-r1, and -4.9.2-r2 is about 4 days old.  Please advise.
Comment 6 Ferris McCormick (RETIRED) gentoo-dev 2009-03-03 20:17:35 UTC
root-5.20.00-r3 and everything else look good on sparc, but before we can go stable we need to know how you wish geant-4.9.2-r{1,2} handled.
Comment 7 Sébastien Fabbro (RETIRED) gentoo-dev 2009-03-05 20:03:58 UTC
(In reply to comment #6)
> root-5.20.00-r3 and everything else look good on sparc, but before we can go
> stable we need to know how you wish geant-4.9.2-r{1,2} handled.
> 
Please consider geant-4.9.2-r2.
Thanks.

Comment 8 Ferris McCormick (RETIRED) gentoo-dev 2009-03-05 23:32:20 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > root-5.20.00-r3 and everything else look good on sparc, but before we can go
> > stable we need to know how you wish geant-4.9.2-r{1,2} handled.
> > 
> Please consider geant-4.9.2-r2.
> Thanks.
> 

Sparc stable for geant-4.9.2-r2 based on the requirement for gcc-4.3 and the nature of the change from -r1.  All other dependencies were stable on sparc by 3 March.

Sparc stable for root-5.20.00-r3 and done with this bug.
Comment 9 Markus Meier gentoo-dev 2009-03-19 21:33:22 UTC
I'm getting errors wrt undefined references:

g++ -c -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -m32 -D_ALL_SOURCE -D_REENTRANT -D_GNU_SOURCE -fPIC -rdynamic -Wall -Wno-deprecated -D__linux__  -pipe -m32 -Wall -W -Woverloaded-virtual -fPIC -Iinclude -DR__HAVE_CONFIG -O2 -march=i686 -pipe -pthread -DXrdDEBUG=0  -DUSENEWHDRS -I. -I.. -o ../../obj/XrdSecpwdSrvAdmin.o XrdSecpwdSrvAdmin.cc
Creating executable ../../bin/xrdpwdadmin
g++ -m32  -Wl,-O1 -m32  -Wl,-O1 ../../obj/XrdSecpwdSrvAdmin.o -lcrypt -lafsauthent -lafsrpc -L../../lib -lXrdCrypto -lXrdSut -lXrdOuc -lXrdSys -lnsl -lpthread -lrt -ldl -lc -o ../../bin/xrdpwdadmin
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `__res_search'
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../libafsauthent.so: undefined reference to `__dn_expand'
collect2: ld returned 1 exit status
make[5]: *** [../../bin/xrdpwdadmin] Error 1
make[4]: *** [Linuxall] Error 2
make[3]: *** [all] Error 2
make[2]: *** [XrdSecpwd] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/sci-physics/root-5.20.00-r3/work/root/net/xrootd/src/xrootd'
make: *** [net/xrootd/src/xrootd/lib/libXrdSec.so] Error 2
rm core/utils/src/RStl_tmp.cxx core/utils/src/rootcint_tmp.cxx
 * 
 * ERROR: sci-physics/root-5.20.00-r3 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3584:  Called die
 * The specific snippet of code:
 *       emake OPT="" || die "emake failed";
 *  The die message:
 *   emake failed

this is with USE="examples ldap math python qt4 reflex ssl xml -afs -cern -clarens -debug -doc -emacs -fftw -geant4 -kerberos -mysql -odbc -oracle -postgres -pythia6 -pythia8 -ruby -xinetd -xrootd"
I'm able to emerge it with USE="-*".
this is on amd64/x86 btw.
Comment 10 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-22 22:01:32 UTC
amd64 stable. 

Since it worked for me and not Markus we discussed it in irc and decided to mark it stable for amd64. I'll stay on this bug in case I messed anything up. AFAIK, I got everything.
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2009-05-05 19:50:38 UTC
x86 stable
Comment 12 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-07-19 23:32:37 UTC
This bug has been superseded by bug #275997.